using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;

namespace KeyGen
{
    class Program
    {
        static void Main(string[] args)
        {
            TripleDESCryptoServiceProvider TDES = new TripleDESCryptoServiceProvider();

            Dump("Key", TDES.Key);
            Dump("IV", TDES.IV);
        }

        static void Dump(string Name, byte[] Data)
        {
            Console.Write("byte[] " + Name + " = { ");

            for (int i = 0; i < Data.Length; i++)
            {
                if (i != 0)
                    Console.Write(", ");

                Console.Write(string.Format("0x{0:x}", new object[] { Data[i] }));
            }

            Console.Write(" };\r\n");
        }
    }
}
